# Experimental library header <experimental/net>

From cppreference.com
< cpp‎ | header‎ | experimental

This header is part of Networking TS.

It is a convenience header that includes every other Networking TS header

### Includes

<experimental/executor> (networking TS) | Asynchronous model
<experimental/io_context> (networking TS) | Basic I/O services
<experimental/timer> (networking TS) | Timer operations
<experimental/buffer> (networking TS) | Buffers and buffer-oriented streams
<experimental/socket> (networking TS) | Sockets and socket streams
<experimental/internet> (networking TS) | Internet protocol

### Synopsis

    #include <experimental/executor>
    #include <experimental/buffer>
    #include <experimental/internet>
    #include <experimental/io_context>
    #include <experimental/socket>
    #include <experimental/timer>

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/header/experimental/net&oldid=169350"